function loadcontrolsconfig()
	--config keys
	shutdown =  "escape"
	cursorup = "up"
	cursordown = "down"
	cursorleft = "left"
	cursorright = "right"
	accept = "z"
	back = "x"
	acceptalt = "y"
	check = ";"
end

function load()	--Load save
	for lines in love.filesystem.lines("save.sav") do
		print( lines )
		table.insert( array, lines )
	end
	number = tonumber( array[1] )
end

function save()	--Save save
	love.filesystem.write("save.sav", number .."\n".. "teststring")
end

function controls( key )
	if key == shutdown then
		save()
		love.event.quit()
	end
	
	--Move cursor inside window
	if key == cursordown then
		if cursorpos < #window[cursorwin] then
			cursorpos = cursorpos + 1
		end
			
	end
	
	if key == cursorup then
		if cursorpos > 1 then
			cursorpos = cursorpos - 1
		end
	end
	
	--Move cursor between windows
	if key == cursorright then
		if cursorwin < #window then
			cursorwin = cursorwin + 1
			cursorpos = 1
		end
	end
	
	if key == cursorleft then
		if cursorwin > 1 then
			cursorwin = cursorwin - 1
			cursorpos = 1
		end
	end
	
	--Select or go back keys, not working yet
	--should call function from windowfunc[cursorwin] and buttonfunc[cursorpos] inside the window
	if key == accept or key == acceptalt then
		print("nothing yet")
	end
	
	--ATM it reloads variables to default value
	if key == back then
		reload( true )
	end
	
	--to check contents of loaded windows etc
	if key == check then
		for wi, wv in ipairs( window ) do
			for bi ,bv in ipairs( wv ) do
				print( wi, ";"..bi, ";"..bv[1], ";"..#wv, ";"..#window )
			end
		end
	end
	return true
end